# Create

Launch stage: GA

`POST /api/networking/v1/{parent=accounts/*}/endpoints`

Creates a new network connectivity endpoint that enables private connectivity
 between your network resources and <Databricks> services.

 After creation, the endpoint is initially in the PENDING state. The <Databricks>
 endpoint service automatically reviews and approves the endpoint within a few
 minutes. Use the GET method to retrieve the latest endpoint state.

 An endpoint can be used only after it reaches the APPROVED state.

API scopes: provisioning

## Path parameters

- `parent` (string, optional)
  The parent resource name of the account under which the endpoint is created.
   Format: `accounts/{account_id}`.
  Example: `accounts/123e4567-e89b-12d3-a456-426614174000`

## Request body

- `endpoint` (object, optional)
  - `name` (string, optional)
    The resource name of the endpoint, which uniquely identifies the endpoint.
    Example: `accounts/123e4567-e89b-12d3-a456-426614174000/endpoints/123e4567-e89b-12d3-a456-426614174000`
  - `endpoint_id` (string, optional)
    The unique identifier for this endpoint under the account. This field is a UUID generated by <Databricks>.
    Example: `123e4567-e89b-12d3-a456-426614174000`
  - `account_id` (string, optional)
    The Databricks Account in which the endpoint object exists.
    Example: `123e4567-e89b-12d3-a456-426614174000`
  - `display_name` (string, optional)
    The human-readable display name of this endpoint.
     The input should conform to RFC-1034, which restricts to letters, numbers, and hyphens,
     with the first character a letter, the last a letter or a number, and a 63 character maximum.
    Example: `example-endpoint`
  - `use_case` (string, optional)
    The use case that determines the type of network connectivity this endpoint provides.
     This field is automatically determined based on the endpoint configuration and cloud-specific settings.
    Possible values: `SERVICE_DIRECT`
  - `region` (string, optional)
    The cloud provider region where this endpoint is located.
  - `state` (string, optional)
    The state of the endpoint. The endpoint can only be used if the state is `APPROVED`.
    Possible values: `PENDING`, `APPROVED`, `FAILED`, `DISCONNECTED`
  - `azure_private_endpoint_info` (object, required)
    Info for an Azure private endpoint.
    - `private_endpoint_name` (string, optional)
      The name of the Private Endpoint in the Azure subscription.
      Example: `example-private-endpoint`
    - `private_endpoint_resource_guid` (string, optional)
      The GUID of the Private Endpoint resource in the Azure subscription.
       This is assigned by Azure when the user sets up the Private Endpoint.
      Example: `123e4567-e89b-12d3-a456-426614174000`
    - `private_endpoint_resource_id` (string, optional)
      The full resource ID of the Private Endpoint.
    - `private_link_service_id` (string, optional)
      The resource ID of the Databricks Private Link Service that this Private Endpoint connects to.
      Example: `/subscriptions/123e4567-e89b-12d3-a456-426614174000/resourceGroups/resource-group/Microsoft.Databricks/workspaces`
  - `create_time` (string, optional)
    The timestamp when the endpoint was created. The timestamp is in RFC 3339 format in UTC timezone.
    Example: `2024-01-15T10:30:00.000Z`

## Returns

Returns the Endpoint object.

## Request

```json
{
  "azure_private_endpoint_info": {
    "private_endpoint_name": "example-private-endpoint",
    "private_endpoint_resource_guid": "123e4567-e89b-12d3-a456-426614174000"
  },
  "display_name": "example-endpoint",
  "region": "westus"
}
```

## Response

```json
{
  "account_id": "123e4567-e89b-12d3-a456-426614174000",
  "azure_private_endpoint_info": {
    "private_endpoint_name": "example-private-endpoint",
    "private_endpoint_resource_guid": "123e4567-e89b-12d3-a456-426614174000",
    "private_endpoint_resource_id": "/subscriptions/123e4567-e89b-12d3-a456-426614174000/resourceGroups/resource-group/providers/Microsoft.Network/privateEndpoints/example-private-endpoint",
    "private_link_service_id": "/subscriptions/123e4567-e89b-12d3-a456-426614174000/resourceGroups/resource-group/providers/Microsoft.Databricks/workspaces/dbworkspace"
  },
  "create_time": "2024-01-15T10:30:00.000Z",
  "display_name": "example-endpoint",
  "endpoint_id": "123e4567-e89b-12d3-a456-426614174001",
  "name": "accounts/123e4567-e89b-12d3-a456-426614174000/endpoints/123e4567-e89b-12d3-a456-426614174001",
  "region": "westus",
  "state": "PENDING",
  "use_case": "SERVICE_DIRECT"
}
```

